#ifndef _SAT_MODEL_H
#define _SAT_MODEL_H

#define NULL 0
// #include <values.h>
class SATmodel {

 private:
  int numFeatures;
  double *c1;
  int *ID1;
  int *ID2;
  double *mean;
  double *std;
 
 public:
  SATmodel(double* Coeffs, double* cMean, double* cStd, int* featureID1, int* featureID2, int numFeat);
  double estimateRunTime(double *features);
};

#endif
